<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1"> <!-- displays site properly based on user's device -->

  <link rel="icon" type="image/png" sizes="32x32" href="./images/favicon-32x32.png">
  <link rel="stylesheet" type="text/css" href="reset.css">
  <link rel="stylesheet" type="text/css" href="styles.css">
  
  <title>Frontend Mentor | Easybank landing page</title>

</head>
<body>
  <header>
      <div class="header--logo">
        <img src="/images/logo.svg" class="full-w" alt="Easybank Logo">
      </div>
      <div class="menu">
        <input title="Open and Close Menu" type="checkbox" class="icon" onclick="myFunction()"/>
        <span></span>
        <span></span>
        <span></span>
      </div>
      <div class="desk-only header--links">
        <a>Home</a>
        <a>About</a>
        <a>Contact</a>
        <a>Blog</a>
        <a>Careers</a>
      </div>
      <button class="desk-only request--invite">Request Invite</button>
  </header>
  <div class="margin floating-menu">
    <nav id="nav--links" class="hamburger collapsed">
        <a>Home</a>
        <a>About</a>
        <a>Contact</a>
        <a>Blog</a>
        <a>Careers</a>
    </nav>
  </div>    
  <section class="splash">
    <div class="splash--image">
      <div id="splash--surpass">
        <img src="/images/image-mockups.png" class="full-w" id="si-m" alt="Mobile phones showing Easybank App">
      </div>
    </div>
    <div class="splash--content">
      <h1>Next generation digital banking</h1>
      <p>Take your financial life online. Your Easybank account will be a one-stop-shop 
      for spending, saving, budgeting, investing, and much more.</p>
      <button class="request--invite">Request Invite</button>
    </div>
  </section>
  <section class="why">
    <div class="why--title">
      <h1>Why choose Easybank?</h1>
      <p>We leverage Open Banking to turn your bank account into your financial hub. Control 
      your finances like never before.</p>
    </div>
    <div class="features">
      <div class="features--box features--online">
        <img src="images/icon-online.svg" alt="Cards Icon">
        <h2 class="features--title">Online Banking</h2>
        <p class="features--paragraph">Our modern web and mobile applications allow you to keep track of your finances 
        wherever you are in the world.</p>
      </div>
      <div class="features--box features--simple">
        <img src="images/icon-budgeting.svg" alt="Budget Icon">
        <h2 class="features--title">Simple Budgeting</h2>
        <p class="features--paragraph">See exactly where your money goes each month. Receive notifications when you’re 
        close to hitting your limits.</p>
      </div>
      <div class="features--box features--onboarding">
        <img src="images/icon-onboarding.svg" alt="Team Icon">
        <h2 class="features--title">Fast Onboarding</h2>
        <p class="features--paragraph">We don’t do branches. Open your account in minutes online and start taking control 
        of your finances right away.</p>
      </div>
      <div class="features--box features--open">
        <img src="images/icon-api.svg" alt="Chipset Icon">
        <h2 class="features--title">Open API</h2>
        <p class="features--paragraph">Manage your savings, investments, pension, and much more from one account. Tracking 
        your money has never been easier.</p>
      </div>
    </div>
  </section>
  <section class="latest">
    <h1>Latest Articles</h1>
    <div class="latest--articles">
      <div class="latest--article">
        <img src="images/image-currency.jpg" class="full-w" alt="Dollar notes layed down">
        <div class="latest--content">
          <p class="latest--author">By Claire Robinson</p>
          <h3 class="latest--title">Receive money in any currency with no fees</h3>
          <p class="latest--preview">The world is getting smaller and we’re becoming more mobile. So why should you be 
          forced to only receive money in a single …</p>
        </div>
      </div>
      <div class="latest--article">
        <img src="images/image-restaurant.jpg" class="full-w" alt="Plate with food in a restaurant">
        <div class="latest--content">
          <p class="latest--author">By Wilson Hutton</p>
          <h3 class="latest--title">Treat yourself without worrying about money</h3>
          <p class="latest--preview"> Our simple budgeting feature allows you to separate out your spending and set 
          realistic limits each month. That means you …</p>
        </div>
      </div>
      <div class="latest--article">
        <img src="images/image-plane.jpg" class="full-w" alt="Right wing of an airborne plane">
        <div class="latest--content">
          <p class="latest--author">By Wilson Hutton</p>
          <h3 class="latest--title">Take your Easybank card wherever you go</h3>
          <p class="latest--preview">We want you to enjoy your travels. This is why we don’t charge any fees on purchases 
          while you’re abroad. We’ll even show you …</p>
        </div>
      </div>
      <div class="latest--article">
        <img src="images/image-confetti.jpg" class="full-w" alt="Colored confetti flying in a blue background">
        <div class="latest--content">
          <p class="latest--author">By Claire Robinson</p>
          <h3 class="latest--title">Our invite-only Beta accounts are now live!</h3>
          <p class="latest--preview">After a lot of hard work by the whole team, we’re excited to launch our closed beta. 
          It’s easy to request an invite through the site ...</p>
        </div>
      </div>
    </div>
  </section>
  <footer>
    <div class="footer--firstcol">
      <img class="footer--logo" src="/images/logo.svg" alt="Easybank Logo">
      <div class="social">
        <img src="/images/icon-facebook.svg" alt="Facebook Logo">
        <img src="/images/icon-youtube.svg" alt="Youtube Logo">
        <img src="/images/icon-twitter.svg" alt="Twitter Logo">
        <img src="/images/icon-pinterest.svg" alt="Pinterest Logo">
        <img src="/images/icon-instagram.svg" alt="Instagram Logo">
      </div>
    </div>
    <div class="footer--seccol">
      <div class="links">
        <a>About Us</a>
        <a>Contact</a>
        <a>Blog</a>
        <a>Careers</a>
        <a>Support</a>
        <a>Privacy Policy</a>
      </div>
    </div>
    <div class="footer--thrcol">
      <button class="request--invite">Request Invite</button>
      <p class="copyright">© Easybank. All Rights Reserved</p>
    </div>
  </footer>
  <div class="attribution">
    Challenge by <a href="https://www.frontendmentor.io?ref=challenge" target="_blank">Frontend Mentor</a>. 
    Coded by <a href="#">deliz</a> in 11h
  </div>
  <script>
    function myFunction() {
      var x = document.getElementById("nav--links");
      if (x.style.visibility === "visible") {
        x.style.opacity = "0";
        x.style.visibility = "hidden";
      } else {
        x.style.display = "flex";
        x.style.opacity = "1";
        x.style.visibility = "visible";
      }
    }
  </script>
</body>
</html>